summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorAlberto <alberto.ruiz@codethink.co.uk>2011-10-03 12:35:01 +0100
committerAlberto <alberto.ruiz@codethink.co.uk>2011-10-03 12:35:01 +0100
commit3c650a94ad9b4a3c17c156fd253f17a9d2e47190 (patch)
treee2001c8e10e988b8f81d5c0bed58638b33057e6c /tests
parent86f948ed8a0e86dba4d40091e97ff6bc29eb0331 (diff)
downloadtbdiff-3c650a94ad9b4a3c17c156fd253f17a9d2e47190.tar.gz
Basic file test
Diffstat (limited to 'tests')
-rw-r--r--tests/test_lib.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/test_lib.sh b/tests/test_lib.sh
index 1e0a838..aab5ceb 100644
--- a/tests/test_lib.sh
+++ b/tests/test_lib.sh
@@ -59,10 +59,10 @@ function main {
$CREATE $IMGFILE $ORIGIN $TARGET && \
cd $ORIGIN && \
$DEPLOY $IMGFILE && \
- RET=$?
+ RETVAL=$?
cd $CWD
- if [ $RET -ne 0 ]
+ if test "x$RETVAL" != "x0"
then
echo $FAIL
echo "Could not create and deploy image." 1>&2
@@ -72,7 +72,7 @@ function main {
echo -n "$TEST_ID Checking $TEST_NAME results: "
check_results
- if [ $RET -ne 0 ]
+ if test "x$RETVAL" != "x0"
then
echo $FAIL
echo "Applying image did not produce the expected results" 1>&2